Bug 1651634 - Capsule 05-pulp-https.conf is using old ProxyPass directive for GPG keys (i.e missing the /v2/)
Summary: Capsule 05-pulp-https.conf is using old ProxyPass directive for GPG keys (i.e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.4
Hardware: All
OS: Linux
high
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
: 1650687 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 12:54 UTC by Ron van der Wees
Modified: 2019-10-07 17:19 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1684701 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:38:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:02 UTC
Foreman Issue Tracker 24316 None None None 2018-11-29 16:16:17 UTC
Red Hat Knowledge Base (Solution) 3705871 None None None 2018-11-20 14:30:39 UTC

Description Ron van der Wees 2018-11-20 12:54:35 UTC
Description of problem:
Since Sat 6.4 the URL for the GPG key for a custom repository is now located
under /katello/api/v2/repositories/. The 05-pulp-https.conf on a Capsule still
has a ProxyPass to the 6.3 style URL (without the /v2/).

Version-Release number of selected component (if applicable):
satellite-capsule-6.4.0-15.el7sat.noarch.rpm
satellite-installer-6.4.0.7-2.el7sat.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. Setup Sat 6.4 + Capsule
2. Create Custom GPG + Product + repo + act. key
3. Create a CV with the newly created repo and publish it
4. Register a client against this act. key with the custom product against the
   Capsule
5. Try installing a package from the custom repo

Actual results:
warning: /var/cache/yum/x86_64/7Server/custom_repo/packages/somepkg-1.0.el7.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID abcd1234: NOKEY
Retrieving key from https://capsule.example.com/katello/api/v2/repositories/152/gpg_key_content

GPG key retrieval failed: [Errno 14] HTTPS Error 404 - Not Found


Expected results:
Client able to retrieve the GPG key via the Capsule as configured in
/etc/yum.repos.d/redhat.repo

Additional info:

The 05-pulp-https.conf on the Capsule contains the old (6.3 style URL)
ProxyPass directives:
~~~
ProxyPass /katello/api/repositories/ https://satellite.example.com/katello/api/repositories/
~~~

The 05-pulp-https.conf is puppet managed.

Upstream ticket: https://projects.theforeman.org/issues/24316

Comment 3 Brad Buckingham 2018-11-29 16:17:25 UTC
*** Bug 1650687 has been marked as a duplicate of this bug. ***

Comment 7 Lukas Pramuk 2019-02-25 20:16:44 UTC
VERIFIED.

@satellite-capsule-6.5.0-6.beta.el7sat.noarch
katello-installer-base-3.10.0.2-1.el7sat.noarch

by the following manual sanity reproducer:

FIX:

# grep ProxyPass\  /etc/httpd/conf.d/05-pulp-https.conf
  ProxyPass /katello/api/v2/repositories/ https://<SAT_FQDN>/katello/api/v2/repositories/

vs.

REPRO:

# grep ProxyPass\  /etc/httpd/conf.d/05-pulp-https.conf
  ProxyPass /katello/api/repositories/ https://<SAT_FQDN>/katello/api/repositories/

>>> capsule is now correctly set up for v2 API endpoint

Comment 8 Mike McCune 2019-03-01 22:16:34 UTC
This bug was cloned and is still going to be included in the 6.4.3 release. It no longer has the sat-6.4.z+ flag and 6.4.3 Target Milestone Set which are now on the 6.4.z cloned bug. Please see the Clones field to track the progress of this bug in the 6.4.3 release.

Comment 11 errata-xmlrpc 2019-05-14 12:38:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.